petsc-3.4.2 2013-07-02

# PetscLogStageRegister

Attaches a charactor string name to a logging stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogStageRegister(const char sname[],PetscLogStage *stage)

Not Collective

### Input Parameter

sname -The name to associate with that stage

### Output Parameter

stage -The stage number

### Keywords

log, stage, register

### See Also

PetscLogStagePush(), PetscLogStagePop()

Level:intermediate
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex54.c.html